ByCloud Docs
GuidesCLIAPISDK
get/v1/iam/policies/{policy_id}/groups

List groups with policy

List all groups that have this policy attached

Path Parameters

policy_id

string<uuid>required

path

Policy ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Query Parameters

limit

integeroptional

query

Maximum number of items to return

Default: 20

Example: 20

marker

string<uuid>optional

query

ID of the last item from the previous page (for pagination)

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

List of groups with this policy attached

Content-Type: application/json

groups

arrayoptional

meta

objectoptional

links

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
403

Insufficient permissions

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/iam/policies/550e8400-e29b-41d4-a716-446655440000/groups" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of groups with this policy attached

{
"groups": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn::iam:group:550e8400-e29b-41d4-a716-446655440000",
"name": "developers",
"description": "Development team members",
"member_count": 0,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
},
"links": {
"self": "https://api.spo1.mycloud.com/v1/instances?limit=20",
"next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000",
"previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"
}
}